Bug 439338 - Review Request: mediawiki-StubManager - An extension meant to address 'rare events' handling
Review Request: mediawiki-StubManager - An extension meant to address 'rare e...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 439345
  Show dependency treegraph
 
Reported: 2008-03-28 00:04 EDT by Ian Weller
Modified: 2008-04-09 01:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-05 13:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-03-28 00:04:55 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-StubManager/1.2.0-1/mediawiki-StubManager.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/mediawiki-StubManager/1.2.0-1/mediawiki-StubManager-1.2.0-1.fc8.src.rpm

Description: mediawiki-StubManager is an extension for the mediawiki package. It is required by mediawiki-HNP, which I plan to build soon. mediawiki-HNP is requested by Fedora Infrastructure.
Comment 1 Jason Tibbitts 2008-04-04 22:04:10 EDT
Not much to this, it seems.
 
I guess the package.xml file is the only place to find the license; the code
itself carries no license info.

* source files match upstream:
   f138f70a4ab984c3d5d2087f475bb444f78f68cb950de02756073cc92b5fc700
    3_01.txt
   96b8d6df0aaea17d68997b637027793517be3bbbdce632ba12f8f283aab64020  
    StubManager-1.2.0.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   mediawiki-StubManager = 1.2.0-1.fc9
  =
   mediawiki >= 1.10
 
* %check is not present; no test suite upstream.  I'm not sure how you would go 
  about testing this, anyway.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Ping me when this is in rawhide and I'll review mediawiki-HNP.
Comment 2 Jason Tibbitts 2008-04-04 22:04:34 EDT
Erm, forgot the rest of the bits.
Comment 3 Ian Weller 2008-04-05 01:41:49 EDT
New Package CVS Request
=======================
Package Name: mediawiki-StubManager
Short Description: An extension meant to address 'rare events' handling
Owners: ianweller
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-05 12:44:09 EDT
cvs done.
Comment 5 Fedora Update System 2008-04-05 13:52:21 EDT
mediawiki-StubManager-1.2.0-1.fc7 has been submitted as an update for Fedora 7
Comment 6 Fedora Update System 2008-04-05 13:52:21 EDT
mediawiki-StubManager-1.2.0-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-04-09 01:15:23 EDT
mediawiki-StubManager-1.2.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-04-09 01:18:33 EDT
mediawiki-StubManager-1.2.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.